Subject: Re: bug#36869: gnome-todo won't create new todo list

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 10 Oct 2022 00:32:53 -0400

Hi,

Ricardo Wurmus <[email-masked]> writes:

> Hi Jesse,
>
>> The name org.gnome.evolution.dataserver.Source5 was not provided
>> by any service files."
>
> Looks like it needs the evolution-dataserver package to be installed in
> a location where it is found for DBus activation.
>
> A work-around is to install that package globally (by adding it to the
> “packages” field in the operating system configuration) — or with a
> reasonably recent version of Guix to install it in the default profile
> (there’s a special case for DBus services installed to the default
> profile).
>
> A proper fix would involve propagating the evolution-dataserver package.

Done in 4451d08828.

Creating a new list in 'guix shell --pure endeavour -- endeavour' now
works for me.

Closing!

-- 
Thanks,
Maxim